Bug 5834 - Holds link missing when 942$c is not for loan
Summary: Holds link missing when 942$c is not for loan
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL: /cgi-bin/koha/catalogue/search.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-06 22:23 UTC by Katrin Fischer
Modified: 2012-10-25 23:03 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot (25.25 KB, image/png)
2011-03-06 22:23 UTC, Katrin Fischer
Details
Proposed patch (1.82 KB, patch)
2011-03-07 00:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
Signed-off patch (1.88 KB, patch)
2011-03-19 21:16 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-03-06 22:23:44 UTC
Created attachment 3255 [details]
screenshot

When 942$c is set to a not for loan itemtype, the holds link in staff search results is not shown, although item-level_itypes is set to 'specific item'.

Instead of the hold link the result list shows 'No holds allowed', no matter which item types the attached items are.
Comment 1 Katrin Fischer 2011-03-07 00:41:38 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2011-03-07 19:26:26 UTC
I have applied this patch and my bib record is showing that it can be put on hold even after i change the system preference and have the bib set to a not for loan type and the item to a for loan type.  I'm wondering if I tested wrong or if this has failed QA. Can someone else test.
Comment 3 Katrin Fischer 2011-03-09 06:14:54 UTC
Hi Nicole, 
what were the settings you tested it with? Have you seen the comments on the patch file? Basically the aim is to make it ignore the 942$c when using item-level_itypes = speficic item.
Comment 4 Nicole C. Engard 2011-03-09 22:23:25 UTC
I followed the test parameters you put in the patch. I'll try it again later.
Comment 5 Jared Camins-Esakov 2011-03-19 21:16:29 UTC
Created attachment 3360 [details] [review]
Signed-off patch

Signed off on Katrin's patch. Note that this patch changes the Results display, not the Details display.
Comment 6 Chris Cormack 2011-03-21 07:53:01 UTC
Pushed, please test